/* Low level (C) String Library */!!

inherit(ProvidedLibs, #StrLib, nil, 2, nil)!!

now(class(StrLib))!!

/* semiPRIVATE -- should only be called via require(StrLib)
   Define entry points and load library.  Define any structs required.
*/
Def provide(self, path)
{
  ^initialise( new(self:ancestor), path )
}!!

now(StrLib)!!

/* PRIVATE
   Define all entry points for library as prototypes.
*/
Def addImportProcs(self)
{
}!!

/* PRIVATE */
Def defineStructs(self)
{ }
!!